package project.tianjin.zhongyiyifuyuan;

import com.hkc.hkcsoft.main.OutMsg;
import project.face.FReadOrder;
import project.tianjin.zhongyiyifuyuan.DMCOrderInfoQuery;
import project.tianjin.zhongyiyifuyuan.DataStatThread;
import project.tianjin.zhongyiyifuyuan.DisposeOSChange;
import project.tianjin.zhongyiyifuyuan.DisposePrepare;
import project.tianjin.zhongyiyifuyuan.DisposePrepareJF;
import project.tianjin.zhongyiyifuyuan.DisposePrepareJYS;
import project.tianjin.zhongyiyifuyuan.OrderDelayJYSThread;
import project.tianjin.zhongyiyifuyuan.OrderDelayThread;
import project.tianjin.zhongyiyifuyuan.OrderNoResolveThread;
import project.tianjin.zhongyiyifuyuan.SendToLed;

public class ReadOrderInfoT extends FReadOrder implements Runnable {

   public static void main(String[] args) {
   }

   public void run() {
      OutMsg.println("*************启动配药开始通知HIS线程");
      (new Thread(new DisposePrepare())).start();
      OutMsg.println("*************启动煎药室配药开始通知HIS线程");
      (new Thread(new DisposePrepareJYS())).start();
      OutMsg.println("*************启动经方打印通知HIS线程");
      (new Thread(new DisposePrepareJF())).start();
      OutMsg.println("*************启动取药数据查询线程");
      OutMsg.println("*************启动处方延时作业线程");
      (new Thread(new OrderDelayThread())).start();
      OutMsg.println("*************启动煎药室处方延时作业线程");
      (new Thread(new OrderDelayJYSThread())).start();
      OutMsg.println("*************启动LED呼叫作业线程");
      (new Thread(new SendToLed())).start();
      OutMsg.println("*************启动状态变更回传线程");
      (new Thread(new DisposeOSChange())).start();
      OutMsg.println("*************启动工作量统计线程");
      (new Thread(new DataStatThread())).start();
      OutMsg.println("*************启动出院带药处方查询线程");
      (new Thread(new DMCOrderInfoQuery())).start();
      OutMsg.println("*************启动处方未正确接收，补插线程");
      (new Thread(new OrderNoResolveThread())).start();
   }
}
